All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups
tjregion Struct Reference
TurboJPEG

Cropping region. More...

`#include <turbojpeg.h>`

## Data Fields

int | x
| The left boundary of the cropping region. More...
int | y
| The upper boundary of the cropping region. More...
int | w
| The width of the cropping region. More...
int | h
| The height of the cropping region. More...

## Detailed Description

Cropping region.

## Field Documentation

int tjregion::h

The height of the cropping region.

Setting this to 0 is the equivalent of setting it to the height of the source JPEG image - y.

int tjregion::w

The width of the cropping region.

Setting this to 0 is the equivalent of setting it to the width of the source JPEG image - x.

int tjregion::x

The left boundary of the cropping region.

This must be evenly divisible by the MCU block width (see tjMCUWidth.)

int tjregion::y

The upper boundary of the cropping region.

This must be evenly divisible by the MCU block height (see tjMCUHeight.)

The documentation for this struct was generated from the following file:

- turbojpeg.h